Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.util
Interface ToolkitConstants

All Known Subinterfaces:
  PortalConstants

All Known Implementing Classes:
  JNDIHelper, WebLogicHelper, BookmarkBean, TodoBean

public interface ToolkitConstants

Toolkit specific constants.

Field Summary
`static int` | `DEFAULT_ID_CACHE` The default cache size for ids.
`static java.lang.String` | `DEFAULT_ID_PROCEDURE` The default property value for the 'sequence' stored procedure.
`static java.lang.String` | `DEFAULT_JDBC_POOL_NAME` Default JDBC Connection pool value.
`static int` | `DEFAULT_LOGGING_LEVEL` The defeault logging level.
`static java.lang.String` | `DEFAULT_WEBLOGIC_HOST` The default system property value for the weblogic host.
`static java.lang.String` | `DEFAULT_WEBLOGIC_PORT` The default system property value for the weblogic port.
`static java.lang.String` | `ID_CACHE` The cache size for ids property name.
`static java.lang.String` | `ID_PROCEDURE` The property name for the 'sequence' stored procedure.
`static java.lang.String` | `JDBC_POOL_NAME` JDBC Connection pool property name.
`static int` | `LOG_DEBUG` Debugging logging level.
`static int` | `LOG_ERROR` Error logging level.
`static int` | `LOG_FATAL` Fatal logging level.
`static int` | `LOG_INFO` Informational logging level.
`static int` | `LOG_SECURITY` Security logging level.
`static int` | `LOG_WARNING` Warning logging level.
`static java.lang.String` | `LOGGING_LEVEL` The property for determining the minimum logging level.
`static java.lang.String` | `WEBLOGIC_HOST` System property name for the weblogic host.
`static java.lang.String` | `WEBLOGIC_PORT` System property name for the weblogic port.

Field Detail

### WEBLOGIC_HOST

    public static final java.lang.String WEBLOGIC_HOST

  System property name for the weblogic host.

### DEFAULT_WEBLOGIC_HOST

    public static final java.lang.String DEFAULT_WEBLOGIC_HOST

  The default system property value for the weblogic host.

### WEBLOGIC_PORT

    public static final java.lang.String WEBLOGIC_PORT

  System property name for the weblogic port.

### DEFAULT_WEBLOGIC_PORT

    public static final java.lang.String DEFAULT_WEBLOGIC_PORT

  The default system property value for the weblogic port.

### LOG_DEBUG

    public static final int LOG_DEBUG

  Debugging logging level.

### LOG_INFO

    public static final int LOG_INFO

  Informational logging level.

### LOG_WARNING

    public static final int LOG_WARNING

  Warning logging level.

### LOG_ERROR

    public static final int LOG_ERROR

  Error logging level.

### LOG_FATAL

    public static final int LOG_FATAL

  Fatal logging level.

### LOG_SECURITY

    public static final int LOG_SECURITY

  Security logging level.

### LOGGING_LEVEL

    public static final java.lang.String LOGGING_LEVEL

  The property for determining the minimum logging level.

### DEFAULT_LOGGING_LEVEL

    public static final int DEFAULT_LOGGING_LEVEL

  The defeault logging level.

### JDBC_POOL_NAME

    public static final java.lang.String JDBC_POOL_NAME

  JDBC Connection pool property name.

### DEFAULT_JDBC_POOL_NAME

    public static final java.lang.String DEFAULT_JDBC_POOL_NAME

  Default JDBC Connection pool value.

### ID_CACHE

    public static final java.lang.String ID_CACHE

  The cache size for ids property name.

### DEFAULT_ID_CACHE

    public static final int DEFAULT_ID_CACHE

  The default cache size for ids.

### ID_PROCEDURE

    public static final java.lang.String ID_PROCEDURE

  The property name for the 'sequence' stored procedure.

### DEFAULT_ID_PROCEDURE

    public static final java.lang.String DEFAULT_ID_PROCEDURE

  The default property value for the 'sequence' stored procedure.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved